summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon Tatham <anakin@pobox.com>2004-11-17 20:39:17 +0000
committerSimon Tatham <anakin@pobox.com>2004-11-17 20:39:17 +0000
commitf8a92703436790c0cc758414e22039e1b712c779 (patch)
tree1c864031fa0ef71a4c3eb2efe284fb0ee47165f1
parent310cf5b5cbbe492a67a0a54fbf0b985db455b92c (diff)
downloadhalibut-f8a92703436790c0cc758414e22039e1b712c779.zip
halibut-f8a92703436790c0cc758414e22039e1b712c779.tar.gz
halibut-f8a92703436790c0cc758414e22039e1b712c779.tar.bz2
halibut-f8a92703436790c0cc758414e22039e1b712c779.tar.xz
Remove the svn:externals property that pulls a copy of libcharset
into a subdirectory of `halibut'. It wasn't very good anyway (since it insisted on loading via an unauthenticated svn:// URL). The Halibut makefile now expects _either_ a subdir `charset', _or_ a directory called `charset' as a sibling of `halibut', and will work with the first of those that it finds. A new release script arranges to provide the former in source tarballs (so that building if you're an ordinary user is just as simple as it always was). [originally from svn r4808]
-rw-r--r--Makefile23
-rwxr-xr-xrelease.sh36
2 files changed, 42 insertions, 17 deletions
diff --git a/Makefile b/Makefile
index 94433c8..eab0e3e 100644
--- a/Makefile
+++ b/Makefile
@@ -61,23 +61,8 @@ topclean:
# Make a release archive. If $(VERSION) is specified, this will
# also contain a `manifest' file which will be used to decide the
# version number automatically.
-release:
- find . -name CVS -prune -o -name build -prune -o -name reltmp -prune \
- -o -type d -exec mkdir -p reltmp/$(RELDIR)/{} \;
- find . -name CVS -prune -o -name build -prune -o -name reltmp -prune \
- -o -name '*.orig' -prune -o -name '*.rej' -prune \
- -o -name '*.txt' -prune -o -name '*.html' -prune \
- -o -name '*.1' -prune -o -name '.cvsignore' -prune \
- -o -name '*.gz' -prune -o -name '.[^.]*' -prune \
- -o -type f -exec ln -s $(PWD)/{} reltmp/$(RELDIR)/{} \;
- if test "x$(VERSION)y" != "xy"; then \
- (cd reltmp/$(RELDIR); \
- find . -name '*.[ch]' -exec md5sum {} \; \
- ) > reltmp/$(RELDIR)/manifest; \
- echo "-DVERSION=\"$(VERSION)\"" > reltmp/$(RELDIR)/version; \
- fi
- tar chzvoCf reltmp $(RELDIR).tar.gz $(RELDIR)
- rm -rf reltmp
+release: release.sh
+ ./release.sh $(RELDIR) $(VERSION)
else
@@ -105,7 +90,11 @@ all: halibut
SRC := ../
+ifeq ($(shell test -d $(SRC)charset && echo yes),yes)
LIBCHARSET_SRCDIR = $(SRC)charset/
+else
+LIBCHARSET_SRCDIR = $(SRC)../charset/
+endif
LIBCHARSET_OBJDIR = ./#
LIBCHARSET_OBJPFX = cs-#
LIBCHARSET_GENPFX = charset-#
diff --git a/release.sh b/release.sh
new file mode 100755
index 0000000..6ca76b2
--- /dev/null
+++ b/release.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Make a Halibut release archive.
+
+RELDIR="$1"
+VERSION="$2"
+
+linkmirror() {
+ (cd "$1"; find . -name CVS -prune -o -name .svn -prune -o \
+ -name build -prune -o -name reltmp -prune -o -type d -print) | \
+ while read dir; do mkdir -p "$2"/"$dir"; done
+ (cd "$1"; find . -name CVS -prune -o -name .svn -prune -o \
+ -name build -prune -o -name reltmp -prune -o \
+ -name '*.orig' -prune -o -name '*.rej' -prune -o \
+ -name '*.txt' -prune -o -name '*.html' -prune -o \
+ -name '*.1' -prune -o -name '.cvsignore' -prune -o \
+ -name '*.gz' -prune -o -name '.[^.]*' -prune -o \
+ -type f -print) | \
+ while read file; do ln -s "$1"/"$file" "$2"/"$file"; done
+}
+
+linkmirror $PWD reltmp/$RELDIR
+if ! test -d charset; then
+ linkmirror $PWD/../charset reltmp/$RELDIR/charset
+fi
+
+if test "x${VERSION}y" != "xy"; then
+ (cd reltmp/$RELDIR;
+ find . -name '*.[ch]' -exec md5sum {} \;
+ ) > reltmp/$RELDIR/manifest
+ echo "-DVERSION=\"${VERSION}\"" > reltmp/$RELDIR/version;
+fi
+
+tar chzvoCf reltmp $RELDIR.tar.gz $RELDIR
+
+rm -rf reltmp